Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.page
Class PageResourceType

    java.lang.Object
      com.bea.portal.tools.resource.ResourceType
          com.bea.portal.tools.resource.WebAppResourceType
              com.bea.portal.tools.resource.ParentedResourceType
                  com.bea.portal.tools.portal.PortalParentedResourceType
                      com.bea.portal.tools.portal.DesktopParentedResourceType
                          com.bea.portal.tools.portal.page.PageResourceType

All Implemented Interfaces
  Serializable

    public final class PageResourceType

extends DesktopParentedResourceType

`ResourceType` for a portal page instance.

See Also
  Serialized Form

Field Summary
`static String` | `NAMESPACE_URI` The namespace URI of `PageResourceType`.

Method Summary
`static PageResourceType` | `getPageResourceType()` Get the `PageResourceType`.

Methods inherited from class com.bea.portal.tools.portal.DesktopParentedResourceType
`getDesktopParentedResourceType`

Methods inherited from class com.bea.portal.tools.portal.PortalParentedResourceType
`getPortalParentedResourceType`

Methods inherited from class com.bea.portal.tools.resource.ParentedResourceType
`getParentedResourceType`

Methods inherited from class com.bea.portal.tools.resource.WebAppResourceType
`getWebAppResourceType`

Methods inherited from class com.bea.portal.tools.resource.ResourceType
`equals, equals, getNamespaceURI, getTreeMode, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NAMESPACE_URI

    public static final String NAMESPACE_URI

  The namespace URI of `PageResourceType`.

  See Also
    Constants Summary

Method Detail

### getPageResourceType

    public static PageResourceType getPageResourceType()

  Get the `PageResourceType`.

  Returns
    the `PageResourceType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.